#include <adc.h>
#include <delays.h>

#include "CAN.h"




// --------------------------------------------------------------------------
/* Fonction CAN_Init
 * Initialise les convertisseurs Analogiques/Numriques (et les ports lis)
*/
void CAN_Init(void)
{

	TRIS_AV_G=1;			// Tous les ports en entre
	TRIS_AV_D=1;			// 
	TRIS_AR_G=1;			// 
	TRIS_AR_D=1;			// 
	
	// Configure le convertisseur analogique / numrique
	OpenADC(	ADC_FOSC_2 &		// Quartz divis par 2
				ADC_RIGHT_JUST &	// Ajustement  droite
				ADC_5ANA_0REF,		// 6 convertisseurs anamogiques, 2 ports numriques
				ADC_INT_OFF);		// Pas d'interruptions
}




// --------------------------------------------------------------------------
/* Fonction CAN_Convert
 * Effectue une conversion sur le canal pass en paramtre
 * La valeur retourne est le rsultat brut de la converion
 * appartenant  l'intervalle [0;1023]
*/
int CAN_Convert(unsigned char Canal)
{
	SetChanADC(Canal);			// Slectionne le canal 
	Delay10TCYx(DELAY_SEL_ADC);	// Attends quelques cycles
	ConvertADC(); 				// Dmare la conversion
	while( BusyADC() ); 		// Attend la fin de la conversions
	return (ReadADC()); 	// Retourne le rsultat mis en form
}